PDA

View Full Version : Patching Issues



Lusty_1980
02-05-2008, 06:25 PM
Ok,

I got my hands on IL-2 Ultimate that has all the expansions in it (PF/FB/AEP), in 1 complete DVD. Patching, as I have read, is a real *****.

When I install the game I have version 4.04, from there I have hit a snag to update it to 4.08M.

I download the 4.08 patch, apply it, and bam, the game doesn't start. I read the patch notes and it says I have to upgrade from version 4.07 first...but where do I get any of the incremental patches? I've never come across a game so *** backward to update it...I just wanna get on line and play! I consider myself fairly knowledgeable in computers, so don't worry about being too technical.

If there is a previous forum post on how to upgrade I apologize, I've done a bunch of searching but didn't find the exact process or links to the update.

Thanks in advance.

Lusty_1980
02-05-2008, 06:25 PM
Ok,

I got my hands on IL-2 Ultimate that has all the expansions in it (PF/FB/AEP), in 1 complete DVD. Patching, as I have read, is a real *****.

When I install the game I have version 4.04, from there I have hit a snag to update it to 4.08M.

I download the 4.08 patch, apply it, and bam, the game doesn't start. I read the patch notes and it says I have to upgrade from version 4.07 first...but where do I get any of the incremental patches? I've never come across a game so *** backward to update it...I just wanna get on line and play! I consider myself fairly knowledgeable in computers, so don't worry about being too technical.

If there is a previous forum post on how to upgrade I apologize, I've done a bunch of searching but didn't find the exact process or links to the update.

Thanks in advance.

Skycat_2
02-05-2008, 06:29 PM
Here's the short version:
You can't go from 4.04m to 4.08m.

Ultimate isn't ultimate. They came out with a few more payware expansions after that. Now everything is on the 1946 DVD.

And since the developer is very eager to finally close the lid on the Forgotten Battles series forever, I do believe that 1946 will be the ultimate Ultimate edition.

Lusty_1980
02-05-2008, 06:37 PM
Err ok,

I read the back, it is IL-2: Sturmovik Series COMPLETE Edition (Forgotten Battles/Ace Expansion Pack/Pacific Fighters). The back cover says it has all the intermediary add-ons.

So there are more things I need to update it to 4.08??

Guess I should have known buying the game for $16!!

Skycat_2
02-05-2008, 06:47 PM
It was the complete series a few years ago when UbiSoft needed a product to put on the shelves for Christmas or something like that. And then a few months later we got the first of three expansions that were originally only approved for the Russian market.

The 4.05m 'download only' payware expansion didn't really do as well as expected I believe, so the final two expansion were lumped together along with all the preceding content and sold as the "IL-2 Sturmovik: 1946" DVD, which installs as v4.07m.

At least you got a decent version of the game. In the US we didn't get Complete Edition and instead UbiSoft released an unfocused three-pack called "Ultimate Flight Collection." UFC contained the oldest version of IL-2 Sturmovik, Pacific Fighters (which can't be merged to that version of IL-2 at all) and the original version of LOCK ON.

willyvic
02-05-2008, 06:56 PM
Lusty, the bottom line is that if you want to play online with others you will need to get Il2 1946. It is on DVD. You won't find many, if any, playing online with what you purchased. That is just the sad truth of it. Sorry you got caught up in the Ubi chaos.

WV.

flyingloon
02-06-2008, 04:08 AM
it was the complete series for all of a couple of months. i made the same purchase, and then bought 1946 a couple months afterwards. it was possibly because they weren't originally going to release pe-2 etc in europe and so released the up to 4.04m version. that's giving ubi the benefit of the doubt in terms of screwing over consumers of course. i think they were always going ot release a dvd version of the 4.05-4.07 updates, as well as the downloadable versions. especially when boonty turned out to be such a dog.

dbillo
02-06-2008, 08:01 AM
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by Lusty_1980:
If there is a previous forum post on how to upgrade I apologize, I've done a bunch of searching but didn't find the exact process or links to the update. </div></BLOCKQUOTE>
No surprise...paradoxically, the sticky thread on patching the entire series is tucked away in the Pacific Fighters forum:
http://forums.ubi.com/eve/forums/a/tpc/f/26310365/m/5581083643

Skycat_2
02-06-2008, 05:19 PM
There's a patching guide thread in General Discussion also, this one with links:
http://forums.ubi.com/eve/forums/a/tpc/f/23110283/m/4721047273

Of course it is buried as well.

We should update it for 1946. Or at least to tell people not to apply the 4.08m patch to any version except 4.07m.

Lusty_1980
02-06-2008, 06:12 PM
Awesome thanks for the feedback everyone. I'm pretty annoyed at UBI, but oh well they have the best WW2 stuff (SH3/SH4).

I was actually able to find 1946 at EB Games, I was shocked thinking it was going to be impossible to find...I had to order the Ultimate Edition out of the US (I live in Canada) as I couldn't find any copies locally or through any canadian retailers.

So now I have it installed and updated to 4.08m, although now my mouse doesn't want to work in the game, I will keep trying and hopefully get online to get my *** handed to me! hehe.

Skycat_2
02-06-2008, 06:28 PM
Glad you got everything sorted.

While UbiSoft has been notorious for making everything 'IL-2 related' more complicated than necessary, it seems to me that they aren't directly at fault on your purchase of Complete Edition. As I said, that product wasn't offered to the US market by UbiSoft so whomever you got it from probably imported it from Europe or Australia. Was it a used copy? E-bay and Amazon is flooded with obsolete versions of the series because we've all been so good about updating our discs every few years. http://forums.ubi.com/groupee_common/emoticons/icon_wink.gif